//Rouslan Dimitrov, Feb 2006
#pragma once

#include "main.h"

class rThread
{
public:
	rThread();
	~rThread();
	bool rCreateThread(bool);
	virtual void rThreadLoop(){};
	void rSuspendThread();
	int rResumeThread();
	void rKillThread();
	bool bThreadRunning;
	bool active;
	static int getNumThreads();
protected:
	HANDLE threadHandle;
	static int numThreads;
	int timeToEnd;
};
